Categories:
  - System
License: Apache-2.0
SourceCode: https://github.com/helloworld1/FreeOTPPlus
IssueTracker: https://github.com/helloworld1/FreeOTPPlus/issues
Translation: https://crowdin.com/project/FreeOTPPlus
Changelog: https://github.com/helloworld1/FreeOTPPlus/releases

AutoName: FreeOTP Plus

RepoType: git
Repo: https://github.com/helloworld1/FreeOTPPlus.git

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: f0750937d9bca0b32f6fdcb80989e2e738ad7854
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '1.2'
    versionCode: 3
    commit: 6b81be6227eb70ee488c0a852c865ac1598a2d33
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '1.3'
    versionCode: 4
    commit: RELEASE-1.3
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '1.4'
    versionCode: 5
    commit: RELEASE-1.4
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '1.5'
    versionCode: 6
    commit: RELEASE-1.5
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '1.6'
    versionCode: 7
    commit: RELEASE-1.6
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '1.7'
    versionCode: 8
    commit: RELEASE-1.7
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '1.8'
    versionCode: 9
    commit: RELEASE-1.8
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '1.9'
    versionCode: 10
    commit: RELEASE-1.9
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '2.0'
    versionCode: 11
    commit: RELEASE-2.0
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '2.1'
    versionCode: 12
    commit: RELEASE-2.1
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '2.2'
    versionCode: 13
    commit: RELEASE-2.2
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '2.3'
    versionCode: 14
    commit: RELEASE-2.3
    subdir: app
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '2.4'
    versionCode: 15
    commit: 75e8d208bd2355404314e1b1a69ca0727bed80ca
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

  - versionName: '2.5'
    versionCode: 16
    commit: ec87ddf324d5e093572373a43a8311832948e5a3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    scandelete:
      - arts/ic_launcher.zip

AutoUpdateMode: Version RELEASE-%v
UpdateCheckMode: Tags RELEASE-[0-9.]+$
UpdateCheckData: buildSrc/src/main/kotlin/AppConfigs.kt|VERSION_CODE = (\d+)|.|VERSION_NAME
    = "([\d.]+)"
CurrentVersion: '2.5'
CurrentVersionCode: 16
